version: '3'
services:
  vision-test-postgres:
    image: postgres:12-alpine
    volumes:
      - ./.data/postgresql:/var/lib/postgresql/data
    environment:
      POSTGRES_PASSWORD: Test1234
      POSTGRES_USER: postgres
      POSTGRES_DB: vision
    ports:
      - '5433:5432'
    networks:
      - vision_test_internal

  vision-test-redis:
    image: redis:alpine
    ports:
      - '6380:6379'
    volumes:
      - ./.data/redis:/data
    entrypoint: redis-server --appendonly yes
    restart: always
    networks:
      - vision_test_internal

networks:
  vision_test_internal:
    external:
      name: vision_test_internal
